Summary: An X/Motif based schedule planner.
Name: plan
Version: 1.8.4
Release: 2
Group: Applications/Productivity
Source0: ftp://ftp.fu-berlin.de/pub/unix/graphics/plan/plan-%{version}.tar.gz
Source1: netplan
Source2: plan.desktop
Patch: plan-1.8.4-config.patch
Copyright: Freely distributable with attribution
Requires: openmotif
BuildPrereq: openmotif-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
Plan displays a month calendar similar to xcal, except that every day
box is large enough to show appointments (in small
print). Appointments can be associated with the following information:
date, time and length (in time or days); an optional text message to
be printed; an optional script to be executed; early-warn and
late-warn triggers that precede the alarm time; repetitions (every nth
day, etc.); optional fast command-line appointment entry; flexible
ways to specify holidays and vacations; extensive context help;
multiuser capability using an IP server program (plan-server with
access lists); and grouping of appointments into files, per-user,
private and others.  Plan can be connected (with additional software)
to Apple Newton and PalmPilot PDAs.  You'll need either Motif or
LessTif in order to use Plan.

%package server
Summary: The network server for the plan scheduling program.
Group: System Environment/Daemons
Prereq: /sbin/chkconfig /sbin/service 

%description server
Provides interactivity between individual plan client programs. The
plan package must be installed on plan clients in order for them to
use the Plan server.

%prep
%setup -q 
%patch -p1 -b .config

%build
make -C src clean 
make -C src

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT MAN=%{_mandir}/man install -C src
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/skel/.plan.dir

# create a default setup for users with empty dayplans and with the US
# holidays file used by default
install -m644 holiday/* $RPM_BUILD_ROOT%{_sysconfdir}/skel/.plan.dir
(cd $RPM_BUILD_ROOT%{_sysconfdir}/skel/.plan.dir
 ln -sf holiday_us holiday
 touch dayplan dayplan.priv
)

( cd $RPM_BUILD_ROOT%{_sysconfdir}/plan/netplan.dir
	touch ../../netplan-acl
	ln -sf ../../netplan-acl .netplan-acl
)

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m755 $RPM_SOURCE_DIR/netplan $RPM_BUILD_ROOT/etc/rc.d/init.d/netplan

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/X11/applnk/Applications

%clean
rm -rf $RPM_BUILD_ROOT

%post server
/sbin/chkconfig --add netplan

%preun server
if [ $1 = 0 ]; then
	/sbin/service netplan stop > /dev/null 2>&1
	/sbin/chkconfig --del netplan
fi

%postun server
if [ "$1" -ge "1" ]; then
	/sbin/service netplan condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc README HISTORY holiday
%{_bindir}/plan
%{_libdir}/plan/pland
%{_libdir}/plan/notifier
%{_libdir}/plan/plan.help
%{_libdir}/plan/plan_cal.ps
%{_libdir}/plan/plan.lang.dutch
%{_libdir}/plan/plan.lang.english
%{_libdir}/plan/plan.lang.french
%{_libdir}/plan/plan.lang.german
%{_libdir}/plan/plan.lang.spanish
%{_mandir}/man?/plan.1*
%dir %{_sysconfdir}/skel/.plan.dir
%config %{_sysconfdir}/skel/.plan.dir/*
%config %{_sysconfdir}/X11/applnk/Applications/plan.desktop

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/rc.d/init.d/netplan
%{_libdir}/plan/netplan
%dir %{_sysconfdir}/plan
%attr(-,nobody,nobody)%{_sysconfdir}/plan/netplan.dir
%config %{_sysconfdir}/netplan-acl
%{_mandir}/man1/netplan.1*

%changelog
* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- updated initscript

* Thu Dec 07 2000 Than Ngo <than@redhat.com>
- updated to 1.8.4
- fixed typo in startup script (Bug #21894)
- used $RPM_OPT_FLAGS

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits back to rc.d/init.d, using /sbin/service to start inits

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt
- add BuildPrereq: openmotif-devel

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed server package PreReq to PreReq /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- fixed initscript so that it uses condrestart
- fixed post, preun and postun sections to work properly
- fixed location of initscripts to be in /etc/init.d
- fixed PreReq to be for the server package only

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- rebuilt against openmotif-2.1.30
- use RPM macros
- FHS fixes

* Wed May 17 2000 Tim Powers <timp@redhat.com>
- fixed problems reported by <torsten.schuetze@mchp.siemens.de> in bug #10207
- updated to 1.8.3
- major cleanups in the spec
- use applnk instead of wmconfig
- fixed the netplan init so it actually works now
- fixed so that it builds with XFree86 4.0

* Tue Jul 20 1999 Tim Powers <timp@redhat.com>
- update to 1.8.2
- updated config patch
- updated install routine
- built for 6.1

* Thu Apr 29 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.8.

* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built package for 5.2

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.7.1

* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>
- tweaked descriptions

* Mon Dec  8 1997 Otto Hammersmith <otto@redhat.com>
- changed netplan.init to netplan
- added chkconfig

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig
- added 5.0 features to netplan.init

* Wed Dec  3 1997 Otto Hammersmith <otto@redhat.com>
- built for powertools
- moved buildroot into /var/tmp from /tmp
